from setuptools import setup, find_packages

setup(
    name="network_scanner_ui",
    version="0.1.0",
    packages=find_packages(),
    install_requires=[
        "scapy",
    ],
    entry_points={
        'console_scripts': [
            'network_scanner_ui=network_scanner_ui.ui:run',
        ],
    },
    author="Your Name",
    author_email="your.email@example.com",
    description="A Python terminal UI to scan and display devices on the same Wi-Fi network.",
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url="https://github.com/yourusername/network_scanner_ui",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
)
